Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class LuceneSearch

    java.lang.Object
      com.hp.hpl.jena.sparql.pfunction.PropertyFunctionBase
          com.hp.hpl.jena.sparql.pfunction.PropertyFunctionEval
              com.hp.hpl.jena.query.larq.LuceneSearch

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.pfunction.PropertyFunction

    public abstract class LuceneSearch

extends com.hp.hpl.jena.sparql.pfunction.PropertyFunctionEval

Base class for searching a IndexLARQ

Method Summary
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `boundSubject(com.hp.hpl.jena.sparql.engine.binding.Binding binding, com.hp.hpl.jena.graph.Node match, com.hp.hpl.jena.sparql.core.Var score, java.lang.String searchString, long limit, float scoreLimit, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)`
`void` | `build(com.hp.hpl.jena.sparql.pfunction.PropFuncArg argSubject, com.hp.hpl.jena.graph.Node predicate, com.hp.hpl.jena.sparql.pfunction.PropFuncArg argObject, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)` Called during query plan construction immediately after the construction of the property function instance.
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `execEvaluated(com.hp.hpl.jena.sparql.engine.binding.Binding binding, com.hp.hpl.jena.sparql.pfunction.PropFuncArg argSubject, com.hp.hpl.jena.graph.Node predicate, com.hp.hpl.jena.sparql.pfunction.PropFuncArg argObject, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)`
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `varSubject(com.hp.hpl.jena.sparql.engine.binding.Binding binding, com.hp.hpl.jena.sparql.core.Var match, com.hp.hpl.jena.sparql.core.Var score, java.lang.String searchString, long limit, float scoreLimit, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)`

Methods inherited from class com.hp.hpl.jena.sparql.pfunction.PropertyFunctionEval
`exec`

Methods inherited from class com.hp.hpl.jena.sparql.pfunction.PropertyFunctionBase
`exec`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public void build(com.hp.hpl.jena.sparql.pfunction.PropFuncArg argSubject,
                      com.hp.hpl.jena.graph.Node predicate,
                      com.hp.hpl.jena.sparql.pfunction.PropFuncArg argObject,
                      com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

  Description copied from interface: `com.hp.hpl.jena.sparql.pfunction.PropertyFunction`
  Called during query plan construction immediately after the construction of the property function instance.

  Specified by:
    `build` in interface `com.hp.hpl.jena.sparql.pfunction.PropertyFunction`
  Overrides:
    `build` in class `com.hp.hpl.jena.sparql.pfunction.PropertyFunctionBase`
  Parameters:
    `argSubject` - The parsed argument(s) in the subject position
    `predicate` - The extension URI (as a Node).
    `argObject` - The parsed argument(s) in the object position
    `execCxt` - Execution context

### execEvaluated

    public com.hp.hpl.jena.sparql.engine.QueryIterator execEvaluated(com.hp.hpl.jena.sparql.engine.binding.Binding binding,
                                                                     com.hp.hpl.jena.sparql.pfunction.PropFuncArg argSubject,
                                                                     com.hp.hpl.jena.graph.Node predicate,
                                                                     com.hp.hpl.jena.sparql.pfunction.PropFuncArg argObject,
                                                                     com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

  Specified by:
    `execEvaluated` in class `com.hp.hpl.jena.sparql.pfunction.PropertyFunctionEval`

### varSubject

    public com.hp.hpl.jena.sparql.engine.QueryIterator varSubject(com.hp.hpl.jena.sparql.engine.binding.Binding binding,
                                                                  com.hp.hpl.jena.sparql.core.Var match,
                                                                  com.hp.hpl.jena.sparql.core.Var score,
                                                                  java.lang.String searchString,
                                                                  long limit,
                                                                  float scoreLimit,
                                                                  com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

### boundSubject

    public com.hp.hpl.jena.sparql.engine.QueryIterator boundSubject(com.hp.hpl.jena.sparql.engine.binding.Binding binding,
                                                                    com.hp.hpl.jena.graph.Node match,
                                                                    com.hp.hpl.jena.sparql.core.Var score,
                                                                    java.lang.String searchString,
                                                                    long limit,
                                                                    float scoreLimit,
                                                                    com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP